<?php if (!defined('PmWiki')) exit();
/**
 * version.php
 * @author V.Krishn (vkrishn@ainsteps.net), Copyright 2009
 * @note This file is part of Cookbook recipe "Jscm" for PmWiki;
 * You can redistribute it and/or modify it under the terms of the
 * GNU General Public License as published by the  Free Software
 * Foundation; either version 2 of the License, or (at your option)
 * any later version. @see pmwiki.php for full details.
 * @package jscm
 */

/**
 * @note Array for all modules/cookbook
 */
    global $cookbook;
    $cookbook = array();
    $prefix = 'jscm';
    $cookbook[$prefix]['name'] = 'jscm';
    $cookbook[$prefix]['version'] = '2.2.0';
    $cookbook[$prefix]['versionnum'] = '2002000';
    $cookbook[$prefix]['description'][] = "PmWiki Menu System using JsCookMenu";
    $cookbook[$prefix]['date']['datenum'] = '20090912';
    $cookbook[$prefix]['dependencies']['php']['version'] = "4.3.0";
    $cookbook[$prefix]['dependencies']['pmwiki']['version'] = "2.2.x";
    $cookbook[$prefix]['author']['name'] = 'V.Krishn';
    $cookbook[$prefix]['author']['resource'][] = "http://www.insteps.net/notebook2";
    $cookbook[$prefix]['author']['email'][] = 'vkrishn@insteps.net';
    $cookbook[$prefix]['contributors']['1']['name'] = "Heng Yuan";
    $cookbook[$prefix]['contributors']['1']['resource'] = "http://jscook.sourceforge.net/JSCookMenu/";
    $cookbook[$prefix]['contributors']['1']['email'] = "";
    $cookbook[$prefix]['comment'][] = "Compatible with PmWiki 2.2.x";
    $cookbook[$prefix]['licence'][] = "Free";

    /**
     * Cookbook guideline variable
     * @see http://www.pmwiki.org/wiki/Cookbook/ModuleGuidelines
    */
     $RecipeInfo[$prefix]['Version'] = $cookbook[$prefix]['version'];

/**
 * @note Variable/markup to use/display within wiki
 */
    // format "jscm-2.1.1"
    $jscmVersion = $cookbook[$prefix]['name']."-".$cookbook[$prefix]['version'];
    $FmtPV['$jscmVersion'] = "'$jscmVersion'";
    //$FmtPV['$jscmVersion'] = '$GLOBALS["jscmVersion"]';


